Subject: bug#67628: Emacs 29.1: (x-open-connection (getenv "DISPLAY")) gets "Display :0.0 does not exist" error

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Dec 2023 11:12:26 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 07 Dec 2023 09:01:15 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Po Lu <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Wed, 06 Dec 2023 20:50:31 +0800
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > Oh, and one more question: why doesn't this happen in Emacs 28?  IOW,
> >> > what caused this "regression" in Emacs 29?
> >> 
> >> The same change that's behind bug#64809 and bug#65191, among others.  In
> >> retrospect, the Cairo dynamic-setting code in bug#43128 shouldn't have
> >> been installed at all, but then hindsight is universally 20/20.
> >
> > If you mean commit 52d4c98cec0901ef5cc1c55d5b3b33ac9d9c519f, then I
> > don't see how it could cause the error.  Can you explain?
> 
> It can't extract the default settings when the display is opened, so
> once the connection to the client providing display settings is
> established, it always reports a change.

I admit I'm confused (and somewhat frustrated) by these terse
responses which doesn't explain enough for me to understand what would
be the best way out of this.

But never mind me: what do you suggest we do with this issue, on both
master and the emacs-29 branches?